Page MenuHomePhabricator

Add tracking category to pages with errors in <math>
Closed, ResolvedPublic

Description

An automatic tracking category for pages with errors in <math> (when parsed by texvc) would help finding these pages and fixing the errors.


Version: unspecified
Severity: enhancement

Details

Reference
bz47037

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:23 AM
bzimport added projects: Future-Release, Math.
bzimport set Reference to bz47037.
Schnark created this task.Apr 9 2013, 10:36 AM

physik wrote:

This is already a feature of the MathSearch extension.

This error is made worse by the difference between the syntax used in MathJax and texvc. In
http://en.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/Feedback&oldid=569279227#Math_text_that_doesn.27t_parse_when_in_VE
a unicode character was used in a formula, the editor was probably using MathJax so the error did not show up. There seem to be a few such errors. A google search https://www.google.co.uk/search?q=%22Failed+to+parse%22+site:en.wikipedia.org+-Talk%3A
can be used to find some.

physik wrote:

(In reply to Richard Morris from comment #2)

This error is made worse by the difference between the syntax used in
MathJax and texvc. In
http://en.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/
Feedback&oldid=569279227#Math_text_that_doesn.27t_parse_when_in_VE
a unicode character was used in a formula, the editor was probably using
MathJax so the error did not show up. There seem to be a few such errors. A
google search
https://www.google.co.uk/search?q=%22Failed+to+parse%22+site:en.wikipedia.
org+-Talk%3A
can be used to find some.

Bug 72240 will make it better again. I'll try to migrate this feature from MathSearch to the Math extension.

Kulla added a subscriber: Kulla.Nov 24 2014, 8:23 PM

I think we would need comunity consensus for enabling the MathSearch extension in production... and a lot of cleanup work... sinc it's currently more desinged as demo/proof of concept.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 2:34 PM
IKhitron set Security to None.Jul 23 2015, 2:38 PM
IKhitron added subscribers: IKhitron, Kipod, Amire80.

Hello, @Aklapper. It works. I think you need close this task as resolved.

So we now seem to have [[Category:Pages with math errors]] on en wiki at least.

It looks like this is fixed in T134872 by https://gerrit.wikimedia.org/r/292576 We can probably close this as a duplicate.

If possible, it might be a good idea to limit the namespaces to which this category applies. For an example, see the Citation Style 1 error messages and categories on en.wiki, e.g. "Category:Pages with archiveurl citation errors":

"Pages in the Book talk, Category talk, Draft, Draft talk, Education Program talk, File talk, Help talk, MediaWiki talk, Module talk, Portal talk, Talk, Template talk, TimedText talk, User, User talk, and Wikipedia talk namespaces are not included in the error tracking categories."

The error message still shows on these pages, but they are not categorized. There is little point in categorizing someone's User sandbox page; it clutters the category with false positives.

But @Jonesey95, you can do it in a minute by yourself.

It is a little annoying. But I'm convinced it is worth the extra effort. In time the number of false positives will go down and each page is re-rendered. Some talk pages which discuss rendering errors will remain.

If its really a problem this bit of javascript in your vector.js will hide most of the talk pages.

  jQuery( document ).ready( function( $ ) {	
    	if( document.title == "Category:Pages with math errors - Wikipedia, the free encyclopedia") {
		$(".mw-category-group a").each(function(ind,ele) {
			var title = ele.innerHTML;
			if(title.startsWith("User:") || title.startsWith("Talk:") || title.startsWith("User talk:") 
			 || title.startsWith("Wikipedia:") || title.startsWith("Wikipedia talk:") ) {
				root = ele.parentElement;
				$(root).css({"display":"none"});
				console.log(ele.innerHTML);
			}
		})
	   }
     }

I meant one line in wiki code, @SalixAlba and @Jonesey95, not jawascript.

I would love to do it myself (for everyone, not just in my own vector.js). @IKhitron, do you have a link to instructions on how to take care of it on en.wiki? Thanks.

IKhitron added a comment.EditedJun 29 2016, 10:09 AM

First of all, @Jonesey95, you can't do it only in vector or only in your account. We are talking about removing pages from category, so it can be done for your entire wiki and nothing else.
Second of all, there is no link for this case help, because it's too obvious.

  1. Create a new page [[{{ns:8}}:math-tracking-category-error]] in your wiki.
  2. Put there for example a code:

{{#switch:{{NAMESPACENUMBER}]|1|2|3|118|2600=:|Pages with math errors}]

  1. Where the numbers list is all namespace numbers where you want just a message, not a category - here, for example, talk, user, user talk, draft and flow.
  2. And the last parameter is the category name (you'll see it in the wiki editor in the page creation moment).
  3. Save the page.
  4. Open one page with a math error in good namespace for editing. Make sure the category is there.
  5. Open one page with a math error in bad namespace for editing. Make sure the category is not there.
  6. If there is a problem, replace ":" with "-" in the code and try again.
  7. When you are sure it works, run a nulledit bot on the current category content.
  8. Done.

Thank you. I have posted an edit request at that page on en.wiki.

The discussion was moved to here.

IKhitron closed this task as Resolved.Jun 30 2016, 9:53 PM
IKhitron claimed this task.

I see nobody answers. I am closing the task by myself. If there is a problem, reopen it.

Closed as resolved by https://gerrit.wikimedia.org/r/292576.

IKhitron reassigned this task from IKhitron to Physikerwelt.Jun 30 2016, 9:55 PM